<div class="uk-card uk-card-default uk-card-body uk-margin-top">
  <h3 class="uk-card-title"></h3>
    <div class="uk-margin">
      <label class="uk-form-label" for="key">Key</label>
      <div class="uk-form-controls">
        <input class="uk-input" id="key" type="number" [(ngModel)]="model.key"  placeholder="Key">
      </div>
    </div>
    <div class="uk-margin">
      <label class="uk-form-label" for="text">Text</label>
      <div class="uk-form-controls">
        <textarea id="text" class="uk-textarea" [(ngModel)]="model.text" placeholder="Example text 123"></textarea>
      </div>
    </div>
    <div class="uk-margin">
      <a class="uk-button uk-button-primary" (click)="encrypt()">Encode</a>
      <a class="uk-button uk-button-secondary" (click)="decrypt()">Decode</a>
    </div>
</div>
